## pdd 1.1

=== Makefile ===
PREFIX ?= /usr/local
BINDIR ?= $(DESTDIR)$(PREFIX)/bin
MANDIR ?= $(DESTDIR)$(PREFIX)/share/man/man1
DOCDIR ?= $(DESTDIR)$(PREFIX)/share/doc/pdd

.PHONY: all install uninstall

all:

install:
	install -m755 -d $(BINDIR)
	install -m755 -d $(MANDIR)
	install -m755 -d $(DOCDIR)
	gzip -c pdd.1 > pdd.1.gz
	install -m755 pdd $(BINDIR)
	install -m644 pdd.1.gz $(MANDIR)
	install -m644 README.md $(DOCDIR)
	rm -f pdd.1.gz

uninstall:
	rm -f $(BINDIR)/pdd
	rm -f $(MANDIR)/pdd.1.gz
	rm -rf $(DOCDIR)

test: ;

=== debian/changelog ===
pdd (1.1-1) unstable; urgency=medium

  * Import new upstream release
  * Bump Standards-Version to 4.1.0
  * Use "https" in d/copyright

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 26 Sep 2017 19:15:29 +0800

pdd (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #869850)

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 28 Jul 2017 10:23:54 +0800

=== debian/control ===
Source: pdd
Section: misc
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 10),
               python3 (>= 3.5),
               python3-setuptools
X-Python3-Version: >= 3.5
Standards-Version: 4.1.0
Homepage: https://github.com/jarun/pdd
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdd.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pdd.git

Package: pdd
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3 (>= 3.5),
         python3-dateutil
Description: Tiny date, time diff calculator
 pdd (python3 date diff) is a small cmdline utility to calculate date and
 time difference. If no program arguments are specified it shows the current
 date, time and timezone.
 .
 Feature
 .
  - calculate date difference
  - calculate time difference
  - calculate diff from today and now
  - add, subtract duration (timeslice) to/from date (time)
  - show current date, time and timezone
  - minimal dependencies
 .

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/jarun/pdd/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pdd 1.3.1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	install -m755 -d $(MANDIR)
 	install -m755 -d $(DOCDIR)
 	gzip -c pdd.1 > pdd.1.gz
-	install -m755 pdd $(BINDIR)
+	install -m755 pdd.py $(BINDIR)/pdd
 	install -m644 pdd.1.gz $(MANDIR)
 	install -m644 README.md $(DOCDIR)
 	rm -f pdd.1.gz
@@ -22,4 +22,5 @@
 	rm -f $(MANDIR)/pdd.1.gz
 	rm -rf $(DOCDIR)
 
-test: ;
+check:
+	@python3 -m pytest test.py

=== debian/changelog ===
pdd (1.3.1-1) unstable; urgency=medium

  * Import new upstream release
  * d/control: bump Standards-Version to 4.2.0.1

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 13 Aug 2018 16:19:44 +0800

pdd (1.3-1) unstable; urgency=medium

  * Import new upstream release
  * d/rules: use pybuild as buildsystem
  * d/control: bump Standards-Version to 4.1.5
  * d/install: remove unnecessary file

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 19 Jul 2018 11:40:25 +0800

pdd (1.2-1) unstable; urgency=medium

  * Import new upstream release
  * Converting git-dpm to gbp pq
  * Refresh patches after git-dpm to gbp pq conversion
  * Update the path of manpage
  * d/control: Add build dependencies: python3-logilab-common, python3-pytest
               and python3-dateutil

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 21 May 2018 11:07:11 +0800

pdd (1.1-2) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.1.4
  *            bump debhelper version to 11
  *            add missing build dependency: dh-python (Closes: #896734)
  * d/compat: bump compat version to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 24 Apr 2018 15:29:10 +0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,18 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                python3 (>= 3.5),
-               python3-setuptools
+               python3-setuptools,
+               dh-python,
+               python3-logilab-common,
+               python3-pytest,
+               python3-dateutil
 X-Python3-Version: >= 3.5
-Standards-Version: 4.1.0
+Standards-Version: 4.2.0.1
 Homepage: https://github.com/jarun/pdd
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdd.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pdd.git
+Vcs-Git: https://salsa.debian.org/debian/pdd.git
+Vcs-Browser: https://salsa.debian.org/debian/pdd
 
 Package: pdd
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pdd
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_build:
	@python3 -m pytest test.py

override_dh_clean:
	dh_clean
	rm -rf pdd.egg-info/
	rm -rf .pytest_cache
	dh_auto_clean

override_dh_missing:
	dh_missing --fail-missing

## pdd 1.4

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	install -m755 -d $(MANDIR)
 	install -m755 -d $(DOCDIR)
 	gzip -c pdd.1 > pdd.1.gz
-	install -m755 pdd.py $(BINDIR)/pdd
+	install -m755 pdd $(BINDIR)/pdd
 	install -m644 pdd.1.gz $(MANDIR)
 	install -m644 README.md $(DOCDIR)
 	rm -f pdd.1.gz

=== debian/changelog ===
pdd (1.4-2) unstable; urgency=low

  * d/control:
    - Bump Standards-Version to 4.4.1
    - Rules-Requires-Root: no
    - Use debhelper-compat (= 12) in build-dependency to replace d/compat
  * d/tests:
    - Add test case

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 29 Nov 2019 14:26:25 +0800

pdd (1.4-1) unstable; urgency=medium

  * Import new upstream release
  * Add upstream metadata
  * d/compat:
    - Bump version to 12
  * d/control:
    - Bump Standards-Version to 4.3
    - Bump debhelper to 12
    - Remove X-Python3-Version field
  * d/install:
    - Install real program instead of "entry script"
  * d/watch:
    - Fix malformed filenamemangle

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 04 Apr 2019 23:32:26 +0800

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                python3 (>= 3.5),
                python3-setuptools,
                dh-python,
                python3-logilab-common,
                python3-pytest,
                python3-dateutil
-X-Python3-Version: >= 3.5
-Standards-Version: 4.2.0.1
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/jarun/pdd
 Vcs-Git: https://salsa.debian.org/debian/pdd.git
 Vcs-Browser: https://salsa.debian.org/debian/pdd

## pdd 1.5

=== debian/changelog ===
pdd (1.5-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat to 13

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 26 Oct 2020 16:29:27 +0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                python3 (>= 3.5),
                python3-setuptools,
                dh-python,
                python3-logilab-common,
                python3-pytest,
                python3-dateutil
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/pdd
 Vcs-Git: https://salsa.debian.org/debian/pdd.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pdd-$1\.tar\.gz/ \
   https://github.com/jarun/pdd/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pdd 1.7

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,13 @@
 MANDIR ?= $(DESTDIR)$(PREFIX)/share/man/man1
 DOCDIR ?= $(DESTDIR)$(PREFIX)/share/doc/pdd
 
-.PHONY: all install uninstall
+.PHONY: all install uninstall install-bin install-completions install-bash-completion install-zsh-completion install-fish-completion
 
 all:
 
-install:
+install: install-bin install-completions
+
+install-bin:
 	install -m755 -d $(BINDIR)
 	install -m755 -d $(MANDIR)
 	install -m755 -d $(DOCDIR)
@@ -17,10 +19,26 @@
 	install -m644 README.md $(DOCDIR)
 	rm -f pdd.1.gz
 
+install-completions: install-bash-completion install-zsh-completion install-fish-completion
+
+install-bash-completion:
+	install -m644 auto-completion/bash/pdd.bash $(PREFIX)/share/bash-completion/compilations/pdd
+
+install-fish-completion:
+	install -m644 auto-completion/fish/pdd.fish -t $(PREFIX)/share/fish/vendor_completions.d
+
+install-zsh-completion:
+	cp pdd pdd.py
+	auto-completion/zsh/zsh_completion.py
+	install -m644 _pdd -t $(PREFIX)/share/zsh/site-functions
+
 uninstall:
 	rm -f $(BINDIR)/pdd
 	rm -f $(MANDIR)/pdd.1.gz
 	rm -rf $(DOCDIR)
+	rm -rf $(PREFIX)/share/bash-completion/compilations/pdd
+	rm -rf $(PREFIX)/share/fish/vendor_completions.d/pdd.fish
+	rm -rf $(PREFIX)/share/zsh/site-functions/_pdd
 
 check:
 	@python3 -m pytest test.py

=== debian/changelog ===
pdd (1.7-2) unstable; urgency=medium

   * Fix source build issue after initial success (Closes: #1047151)
   * d/control:
    - Bump Standards-Version to 4.6.2

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 17 Feb 2024 00:13:56 +0800

pdd (1.7-1) unstable; urgency=medium

  * Import new upstream release
  * Fix d/watch issue
  * Tweak the patches to adopt the new release
  * Install auto-completion files
  * d/control:
    - Bump Standards-Version to 4.6.1.0
  * d/copyright:
    - Update copyright year

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Dec 2022 16:01:25 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-logilab-common,
                python3-pytest,
                python3-dateutil
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/pdd
 Vcs-Git: https://salsa.debian.org/debian/pdd.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pdd
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	cp pdd pdd.py && cd auto-completion/zsh && python3 zsh_completion.py
	dh_install

override_dh_auto_test:

override_dh_auto_build:
	@python3 -m pytest test.py

override_dh_clean:
	dh_clean
	rm -rf pdd.egg-info/
	rm -rf .pytest_cache .pc
	rm -rf pdd.py auto-completion/zsh/_pdd

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pdd-$1\.tar\.gz/ \
   https://github.com/jarun/pdd/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
